INTERROGATE_MODULE(1)

NAME
interrogate_module - generate module-level code for interrogate

SYNOPSIS
interrogate_module [ opts ] libname.in [ libname.in ... ]

DESCRIPTION
This program generates a module-level file for the interrogate(1)program. This is a higher level than library, and groups several libraries together. In particular, the code generated by interrogate_module typically includes a table of the classes that are to be exported to Python.

OPTIONS

-oc output.C
    Specify the name of the file to which generated code will be written.

-module module_name
    Defines the name of the module this data is associated with. This is strictly a code-organizational tool. Conceptually, a module is the highest level of grouping for interrogate data; a module may contain several libraries. If this is omitted, no module name is specified.

-library library_name
    Defines the name of the library this data is associated with. This is another code-organizational tool. Typically, there will be one invocation of interrogate for each library, and there will be multiple libraries per module. If this is omitted, no library name is specified.

-c  Generate function wrappers using the C calling convention. Any scripting language that can call a C function should be able to make advantage of the interrogate database.

-python
    Generate function wrappers using the Python calling convention. The shared library will be directly loadable as a Python module. However, C++ objects and methods will be converted into an object handle and a list of independent Python functions.

-python-obj
    Generate Python function wrappers that convert C++ objects to true python objects, with all methods converted to Python methods. This is currently experimental.

-python-native
    Generate Python function wrappers that convert C++ objects to true python objects, with all methods converted to Python methods. This is the recommended method for creating Python wrappers.

Any combination of -c, -python, or -python-obj may be specified. If all are omitted, the default is -c.

-track-interpreter
    Generate code within each wrapper function to adjust the global variable "in_interpreter" to indicated whether code is running within the Panda C++ environment or within the high-level language.

-import module_name
    Used to import an external dependency module.

SEE ALSO
interrogate(1), test_interrogate(1)